Bug 972293 - When crash google chrome, all other crashes which occurred previously is deleted.
When crash google chrome, all other crashes which occurred previously is dele...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Filak
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-08 03:52 EDT by Mikhail
Modified: 2016-11-30 19:44 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:55:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2013-06-08 03:52:59 EDT
Description of problem:
When crash google chrome, all other crashes which occurred previously is deleted.

Demonstration: https://docs.google.com/file/d/0B0nwzlfiB4aQUlNOR0x1aVFESjQ/edit?usp=sharing
Comment 1 Jakub Filak 2013-06-10 09:55:19 EDT
Thank you for taking the time to report this issue! This usually happens when a newly detected crash contains a huge amount of data. ABRT deletes the old crashes in order to provide enough space for the new crash. If you want to extend the space for the crashes open '/etc/abrt/abrt.conf' in your favourite editor, find the line with 'MaxCrashReportsSize' and increase the number (be aware that the number is in MiB).
Comment 2 Mikhail 2013-09-07 10:58:09 EDT
May be better for prevent this situation ask before delete data?
Comment 3 Mikhail 2013-09-07 11:07:37 EDT
I mean be better not store Google Chrome crash data because they are unuseful and can't be used for reporting to redhat bugzilla. abrt can ask user "Google Chrome is crashed, storing crash data will remove another crashing data from abrt store continue?".
Comment 4 Jiri Moskovcak 2013-09-09 03:00:35 EDT
Make sure you have this line

OpenGPGCheck = yes 

in

/etc/abrt/abrt-action-save-package-data.conf

This should make abrt to ignore crashes in Chrome (and other unsigned packages).
Comment 5 Jakub Filak 2013-09-13 11:05:04 EDT
(In reply to Mikhail from comment #3)
This could be a nice feature but it is impossible in the current ABRT architecture because the problem detection runs in the background without any possibility to interact with users.

I see three possible solutions:
1. #comment 4 (but I'm not sure if it works)
2. add Google Chrome to the black listed packages (BlackList option in /etc/abrt/abrt-action-save-package-data.conf)
3. introduce a new configuration option preventing ABRT from deleting old problems if some disk space extensive problem is detected (but it would event prevent saving the detected problem)

I would rather avoid the third point. Are you satisfied with either 1. point or 2. point? Or do you have any other idea?
Comment 6 Jakub Filak 2013-10-16 08:04:10 EDT
The information we've requested above is required in order to review this problem report further and diagnose or fix the issue if it is still present. Since it has been thirty days or more since we first requested additional information, we're assuming the problem is either no longer present in the current Fedora release, or that there is no longer any interest in tracking the problem. 

Setting status to "CLOSED: INSUFFICIENT_DATA". If you still experience this problem after updating to our latest Fedora release and can provide the information previously requested, please feel free to reopen the bug report.
Comment 7 Mikhail 2013-10-16 15:38:54 EDT
> 1. #comment 4 (but I'm not sure if it works)
OpenGPGCheck = yes 

not worked.means Google Chrome not added in abrt's, but steel clean another reports.

I think would be better every time before delete reports ask for it.
Comment 8 Jakub Filak 2013-10-17 09:03:24 EDT
(In reply to Mikhail from comment #7)
> I think would be better every time before delete reports ask for it.

I'm really sorry but this is not possible with the current architecture. The only thing what we can do now is implement the 3rd point mentioned in comment #5.

It would be optional and disabled by default:
Instead of deleting the old problems, abrt should not store a new problem and  should notice a user that dump location became too large and new problems cannot be created. The user must take care of it himself and clean the dump location manually.
Comment 9 Mikhail 2013-10-17 09:20:24 EDT
> Instead of deleting the old problems, abrt should not store a new problem and  should notice a user that dump location became too large and new problems cannot be created. The user must take care of it himself and clean the dump location manually.

Good idea :) I like this variant.
Comment 10 Jakub Filak 2013-10-18 08:39:15 EDT
Since it will take a while to implement this feature, we have found a workaround which will prevent abrt to delete old reports. Edit /etc/abrt/abrt.conf and set MaxCrashReportsSize to 0, and restart abrtd service (systemctl restart abrtd.service) to let changes to take effect. Please, be aware that after doing so, problem data might consume all free disk space.
Comment 11 Fedora End Of Life 2015-01-09 17:08:34 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-02-18 08:55:33 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.